Groovy 1.7.0

## org.codehaus.groovy.reflection.stdclasses
Class ObjectCachedClass

    java.lang.Object
      org.codehaus.groovy.reflection.CachedClass
          org.codehaus.groovy.reflection.stdclasses.ObjectCachedClass

    class ObjectCachedClass
    extends CachedClass

author:
  Alex.Tkachman

Constructor Summary
`ObjectCachedClass(ClassInfo classInfo)`

Method Summary
`CachedClass` | `getCachedSuperClass()`
`boolean` | `isAssignableFrom(Class argument)`

Methods inherited from class CachedClass

addNewMopMethods, coerceArgument, doCast, getCachedClass, getCachedSuperClass, getCallSiteLoader, getConstructors, getDeclaredInterfaces, getFields, getHierarchy, getInterfaces, getMethods, getModifiers, getName, getNewMetaMethods, getSuperClassDistance, getTheClass, getTypeDescription, hashCode, isAssignableFrom, isDirectlyAssignable, isInterface, isPrimitive, isVoid, searchMethods, setNewMopMethods, toString

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### ObjectCachedClass

    public ObjectCachedClass(ClassInfo classInfo)

Method Detail

### getCachedSuperClass

    public CachedClass getCachedSuperClass()

### isAssignableFrom

    public boolean isAssignableFrom(Class argument)

Copyright © 2003-2009 The Codehaus. All rights reserved.